Update Tenant Consent Expiration Toggle
1 min
PUT
https://api.upstartcommerce.com/v1/customer/consent/category-expiration/{categoryId}
Path Parameters
- categoryIdstringrequiredExampleDescription
Header Parameters
- x-upstart-tenantstringrequiredDescription
Body Parameters
- bodyConsentCategoryExpirationRequestrequiredDescription
- expiryEnabledbooleanrequired
- expiryDurationstringrequiredDescription
- updateExistingConsentsboolean
Responses
200
- ConsentCategoryExpirationResponseDescription
- tenantstringrequiredDescription
- categoryIdstringrequired
- expiryEnabledbooleanrequiredDefaultfalse
- expiryDurationstringrequiredDescription
- updateExistingConsentsbooleanrequiredDefaultfalse
400
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
401
- UnauthorizedErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
403
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
405
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
409
- ConflictErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
- conflictsConflictDetail[]requiredDescription
- indexintegerrequiredDescription
- idstringrequiredDescription
- existingResourcestringrequiredDescription
415
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
422
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
423
- ValidationErrorResponse[]Description
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
500
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request PUT \
--url https://api.upstartcommerce.com/v1/customer/consent/category-expiration/{categoryId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"expiryEnabled": "",
"expiryDuration": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"expiryEnabled": "",
"expiryDuration": ""
});
var requestOptions = {
method: 'PUT',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/customer/consent/category-expiration/{categoryId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/customer/consent/category-expiration/{categoryId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"expiryEnabled": "",
"expiryDuration": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/customer/consent/category-expiration/{categoryId}"
payload = json.dumps({
"expiryEnabled": "",
"expiryDuration": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
200
// Consent Category Expiration Updated Successfully
{
"tenant": "",
"categoryId": "",
"expiryEnabled": false,
"expiryDuration": "",
"updateExistingConsents": false
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
[
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}
]401
// The provided credentials were not valid for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}403
// User's roles are insufficient for this endpoint.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}405
// This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}409
// This response indicates that the server cannot process the request due to a conflict with the current state of the resource. This typically occurs when a request attempts to create or modify a resource that already exists or conflicts with another resource.
{
"name": "",
"code": "",
"detail": "",
"reason": "",
"conflicts": [
{
"index": 0,
"id": "",
"existingResource": ""
}
]
}415
// This is to indicate that the server cannot process the request because the media type of the request entity is not supported or not recognized by the server.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}422
// This is to indicate that the server understands the content type of the request entity, and the syntax of the request entity is correct, but it was unable to process the contained instructions.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}423
// Consent Management is disabled or locked for the tenant, so consent operations are not allowed.
[
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}
]500
// There was an internal server error.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}